import React, { ComponentType, FC, ReactElement } from 'react';
import { DraftJsStyleButtonProps } from '@draft-js-plugins/buttons';
import PropTypes from 'prop-types';
import { StaticToolBarPluginStore, StaticToolbarPluginTheme } from '../../';
export interface ToolbarPubProps {
    children?: FC<DraftJsStyleButtonProps>;
}
interface ToolbarProps extends ToolbarPubProps {
    store: StaticToolBarPluginStore;
    theme: StaticToolbarPluginTheme;
    overrideContent?: ComponentType<DraftJsStyleButtonProps>;
}
export default class Toolbar extends React.Component<ToolbarProps> {
    static propTypes: {
        children: PropTypes.Requireable<(...args: any[]) => any>;
    };
    state: ToolbarProps;
    /**
     * This can be called by a child in order to render custom content instead
     * of the regular structure. It's the responsibility of the callee to call
     * this function again with `undefined` in order to reset `overrideContent`.
     * @param {Component} overrideContent
     */
    onOverrideContent: (overrideContent: ComponentType<DraftJsStyleButtonProps>) => void;
    renderDefaultButtons: (externalProps: DraftJsStyleButtonProps) => ReactElement;
    render(): ReactElement;
}
export {};
